(* This module is part of the bachelor thesis "Lambda-Interpreter", *)
(* written by Michael Brunner and supervised by Christian Sternagel, *)
(* University of Innsbruck, Institute of Computer Science *)
(* Date: 01.02.2009 *)
(* Copyright 2009 Michael Brunner, you may use this code or parts *)
(* of it as long as you keep this copyright notice in tact *)

type entry =
    Nfe of (CoreML.t * (CoreML.t * CoreML.pos list) list * CoreML.t)
  | TNfe of
      (CoreML.t * (CoreML.t * CoreML.pos list) list * CoreML.t * Type.t)
type t = entry list

type template 
val default : template

val tmplp : template -> template Parser.t

val to_strng : template -> entry list -> char list
